View Issue Details

IDProjectCategoryView StatusLast Update
0002024unrealircdpublic2004-12-03 17:26
ReporterDukePyrolatorAssigned Tosyzop 
PrioritynormalSeveritytrivialReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.2.3 
Summary0002024: umode +g
Description/helpop ?umodes

 g = Can read & send to GlobOps, and LocOps

normal users can set and unset this mode, but cant send or receive globops/locops.

I suggest to change this mode to oper only mode and update help.conf :-)

an operator without mode +g (tested with netadmin) can send locops and globops but can not receive it ...
TagsNo tags attached.
3rd party modules

Activities

DukePyrolator

2004-08-16 05:19

reporter   ~0007374

I think its a good idea to remove umode +g. Perhaps it can added as a snomask or an operflag.

w00t

2004-08-19 04:40

reporter   ~0007398

hmm... it does seem more snomasky than usermodey....

codemastr

2004-09-04 15:57

reporter   ~0007511

Well, there are a few things non-opers can receive. The messages that they receive are limited, but they do exist.

syzop

2004-12-03 17:26

administrator   ~0008473

Now operonly in .207

Issue History

Date Modified Username Field Change
2004-08-15 06:40 DukePyrolator New Issue
2004-08-16 05:19 DukePyrolator Note Added: 0007374
2004-08-19 04:40 w00t Note Added: 0007398
2004-09-04 15:57 codemastr Note Added: 0007511
2004-12-03 17:26 syzop Status new => resolved
2004-12-03 17:26 syzop Fixed in Version => 3.2.3
2004-12-03 17:26 syzop Resolution open => fixed
2004-12-03 17:26 syzop Assigned To => syzop
2004-12-03 17:26 syzop Note Added: 0008473
2004-12-03 17:26 syzop Assigned To syzop =>
2004-12-03 17:26 syzop Assigned To => syzop